Subject: Re: [PATCH net-next 00/11] sctp: remove typedefs from structures part 1

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Fri, 30 Jun 2017 13:57:49 -0300

On Fri, Jun 30, 2017 at 11:52:11AM +0800, Xin Long wrote:
> As we know, typedef is suggested not to use in kernel, even checkpatch.pl
> also gives warnings about it. Now sctp is using it for many structures.
> 
> All this kind of typedef's using should be removed. As the 1st part, this
> patchset is to remove it for 11 basic structures in linux/sctp.h. It is
> also to fix some indents.
> 
> No any code's logic is changed in these patches, only cleaning up.

Acked-by: Marcelo Ricardo Leitner <[email-masked]>
Thanks.

  Marcelo